<?php
/**
 * Created by PhpStorm.
 * User: Bojidar
 * Date: 2/12/2021
 * Time: 1:34 PM
 */
namespace MicroweberPackages\Translation\Locale\Traits;

trait RegionByLocaleTrait {

    private static $regionsByLocale = array(
        'af' => '',
        'af_NA' => 'Namibia',
        'af_ZA' => 'South Africa',
        'ak' => '',
        'ak_GH' => 'Ghana',
        'am' => '',
        'am_ET' => 'Ethiopia',
        'ar' => '',
        'ar_001' => 'World',
        'ar_AE' => 'United Arab Emirates',
        'ar_BH' => 'Bahrain',
        'ar_DJ' => 'Djibouti',
        'ar_DZ' => 'Algeria',
        'ar_EG' => 'Egypt',
        'ar_EH' => 'Western Sahara',
        'ar_ER' => 'Eritrea',
        'ar_IL' => 'Israel',
        'ar_IQ' => 'Iraq',
        'ar_JO' => 'Jordan',
        'ar_KM' => 'Comoros',
        'ar_KW' => 'Kuwait',
        'ar_LB' => 'Lebanon',
        'ar_LY' => 'Libya',
        'ar_MA' => 'Morocco',
        'ar_MR' => 'Mauritania',
        'ar_OM' => 'Oman',
        'ar_PS' => 'Palestinian Territories',
        'ar_QA' => 'Qatar',
        'ar_SA' => 'Saudi Arabia',
        'ar_SD' => 'Sudan',
        'ar_SO' => 'Somalia',
        'ar_SS' => 'South Sudan',
        'ar_SY' => 'Syria',
        'ar_TD' => 'Chad',
        'ar_TN' => 'Tunisia',
        'ar_YE' => 'Yemen',
        'as' => '',
        'as_IN' => 'India',
        'az' => '',
        'az_AZ' => 'Azerbaijan',
        'az_Cyrl' => '',
        'az_Cyrl_AZ' => 'Azerbaijan',
        'az_Latn' => '',
        'az_Latn_AZ' => 'Azerbaijan',
        'be' => '',
        'be_BY' => 'Belarus',
        'bg' => '',
        'bg_BG' => 'Bulgaria',
        'bm' => '',
        'bm_ML' => 'Mali',
        'bn' => '',
        'bn_BD' => 'Bangladesh',
        'bn_IN' => 'India',
        'bo' => '',
        'bo_CN' => 'China',
        'bo_IN' => 'India',
        'br' => '',
        'br_FR' => 'France',
        'bs' => '',
        'bs_BA' => 'Bosnia & Herzegovina',
        'bs_Cyrl' => '',
        'bs_Cyrl_BA' => 'Bosnia & Herzegovina',
        'bs_Latn' => '',
        'bs_Latn_BA' => 'Bosnia & Herzegovina',
        'ca' => '',
        'ca_AD' => 'Andorra',
        'ca_ES' => 'Spain',
        'ca_FR' => 'France',
        'ca_IT' => 'Italy',
        'ce' => '',
        'ce_RU' => 'Russia',
        'cs' => '',
        'cs_CZ' => 'Czechia',
        'cy' => '',
        'cy_GB' => 'United Kingdom',
        'da' => '',
        'da_DK' => 'Denmark',
        'da_GL' => 'Greenland',
        'de' => '',
        'de_AT' => 'Austria',
        'de_BE' => 'Belgium',
        'de_CH' => 'Switzerland',
        'de_DE' => 'Germany',
        'de_IT' => 'Italy',
        'de_LI' => 'Liechtenstein',
        'de_LU' => 'Luxembourg',
        'dz' => '',
        'dz_BT' => 'Bhutan',
        'ee' => '',
        'ee_GH' => 'Ghana',
        'ee_TG' => 'Togo',
        'el' => '',
        'el_CY' => 'Cyprus',
        'el_GR' => 'Greece',
        'en' => '',
        'en_001' => 'World',
        'en_150' => 'Europe',
        'en_AE' => 'United Arab Emirates',
        'en_AG' => 'Antigua & Barbuda',
        'en_AI' => 'Anguilla',
        'en_AS' => 'American Samoa',
        'en_AT' => 'Austria',
        'en_AU' => 'Australia',
        'en_BB' => 'Barbados',
        'en_BE' => 'Belgium',
        'en_BI' => 'Burundi',
        'en_BM' => 'Bermuda',
        'en_BS' => 'Bahamas',
        'en_BW' => 'Botswana',
        'en_BZ' => 'Belize',
        'en_CA' => 'Canada',
        'en_CC' => 'Cocos (Keeling) Islands',
        'en_CH' => 'Switzerland',
        'en_CK' => 'Cook Islands',
        'en_CM' => 'Cameroon',
        'en_CX' => 'Christmas Island',
        'en_CY' => 'Cyprus',
        'en_DE' => 'Germany',
        'en_DG' => 'Diego Garcia',
        'en_DK' => 'Denmark',
        'en_DM' => 'Dominica',
        'en_ER' => 'Eritrea',
        'en_FI' => 'Finland',
        'en_FJ' => 'Fiji',
        'en_FK' => 'Falkland Islands',
        'en_FM' => 'Micronesia',
        'en_GB' => 'United Kingdom',
        'en_GD' => 'Grenada',
        'en_GG' => 'Guernsey',
        'en_GH' => 'Ghana',
        'en_GI' => 'Gibraltar',
        'en_GM' => 'Gambia',
        'en_GU' => 'Guam',
        'en_GY' => 'Guyana',
        'en_HK' => 'Hong Kong SAR China',
        'en_IE' => 'Ireland',
        'en_IL' => 'Israel',
        'en_IM' => 'Isle of Man',
        'en_IN' => 'India',
        'en_IO' => 'British Indian Ocean Territory',
        'en_JE' => 'Jersey',
        'en_JM' => 'Jamaica',
        'en_KE' => 'Kenya',
        'en_KI' => 'Kiribati',
        'en_KN' => 'St. Kitts & Nevis',
        'en_KY' => 'Cayman Islands',
        'en_LC' => 'St. Lucia',
        'en_LR' => 'Liberia',
        'en_LS' => 'Lesotho',
        'en_MG' => 'Madagascar',
        'en_MH' => 'Marshall Islands',
        'en_MO' => 'Macau SAR China',
        'en_MP' => 'Northern Mariana Islands',
        'en_MS' => 'Montserrat',
        'en_MT' => 'Malta',
        'en_MU' => 'Mauritius',
        'en_MW' => 'Malawi',
        'en_MY' => 'Malaysia',
        'en_NA' => 'Namibia',
        'en_NF' => 'Norfolk Island',
        'en_NG' => 'Nigeria',
        'en_NH' => 'Vanuatu',
        'en_NL' => 'Netherlands',
        'en_NR' => 'Nauru',
        'en_NU' => 'Niue',
        'en_NZ' => 'New Zealand',
        'en_PG' => 'Papua New Guinea',
        'en_PH' => 'Philippines',
        'en_PK' => 'Pakistan',
        'en_PN' => 'Pitcairn Islands',
        'en_PR' => 'Puerto Rico',
        'en_PW' => 'Palau',
        'en_RH' => 'Zimbabwe',
        'en_RW' => 'Rwanda',
        'en_SB' => 'Solomon Islands',
        'en_SC' => 'Seychelles',
        'en_SD' => 'Sudan',
        'en_SE' => 'Sweden',
        'en_SG' => 'Singapore',
        'en_SH' => 'St. Helena',
        'en_SI' => 'Slovenia',
        'en_SL' => 'Sierra Leone',
        'en_SS' => 'South Sudan',
        'en_SX' => 'Sint Maarten',
        'en_SZ' => 'Swaziland',
        'en_TC' => 'Turks & Caicos Islands',
        'en_TK' => 'Tokelau',
        'en_TO' => 'Tonga',
        'en_TT' => 'Trinidad & Tobago',
        'en_TV' => 'Tuvalu',
        'en_TZ' => 'Tanzania',
        'en_UG' => 'Uganda',
        'en_UM' => 'U.S. Outlying Islands',
        'en_US' => 'United States',
        'en_US_POSIX' => 'United States',
        'en_VC' => 'St. Vincent & Grenadines',
        'en_VG' => 'British Virgin Islands',
        'en_VI' => 'U.S. Virgin Islands',
        'en_VU' => 'Vanuatu',
        'en_WS' => 'Samoa',
        'en_ZA' => 'South Africa',
        'en_ZM' => 'Zambia',
        'en_ZW' => 'Zimbabwe',
        'eo' => '',
        'eo_001' => 'World',
        'es' => '',
        'es_419' => 'Latin America',
        'es_AR' => 'Argentina',
        'es_BO' => 'Bolivia',
        'es_BR' => 'Brazil',
        'es_BZ' => 'Belize',
        'es_CL' => 'Chile',
        'es_CO' => 'Colombia',
        'es_CR' => 'Costa Rica',
        'es_CU' => 'Cuba',
        'es_DO' => 'Dominican Republic',
        'es_EA' => 'Ceuta & Melilla',
        'es_EC' => 'Ecuador',
        'es_ES' => 'Spain',
        'es_GQ' => 'Equatorial Guinea',
        'es_GT' => 'Guatemala',
        'es_HN' => 'Honduras',
        'es_IC' => 'Canary Islands',
        'es_MX' => 'Mexico',
        'es_NI' => 'Nicaragua',
        'es_PA' => 'Panama',
        'es_PE' => 'Peru',
        'es_PH' => 'Philippines',
        'es_PR' => 'Puerto Rico',
        'es_PY' => 'Paraguay',
        'es_SV' => 'El Salvador',
        'es_US' => 'United States',
        'es_UY' => 'Uruguay',
        'es_VE' => 'Venezuela',
        'et' => '',
        'et_EE' => 'Estonia',
        'eu' => '',
        'eu_ES' => 'Spain',
        'fa' => '',
        'fa_AF' => 'Afghanistan',
        'fa_IR' => 'Iran',
        'ff' => '',
        'ff_Adlm' => '',
        'ff_Adlm_BF' => 'Burkina Faso',
        'ff_Adlm_CM' => 'Cameroon',
        'ff_Adlm_GH' => 'Ghana',
        'ff_Adlm_GM' => 'Gambia',
        'ff_Adlm_GN' => 'Guinea',
        'ff_Adlm_GW' => 'Guinea-Bissau',
        'ff_Adlm_LR' => 'Liberia',
        'ff_Adlm_MR' => 'Mauritania',
        'ff_Adlm_NE' => 'Niger',
        'ff_Adlm_NG' => 'Nigeria',
        'ff_Adlm_SL' => 'Sierra Leone',
        'ff_Adlm_SN' => 'Senegal',
        'ff_CM' => 'Cameroon',
        'ff_GN' => 'Guinea',
        'ff_Latn' => '',
        'ff_Latn_BF' => 'Burkina Faso',
        'ff_Latn_CM' => 'Cameroon',
        'ff_Latn_GH' => 'Ghana',
        'ff_Latn_GM' => 'Gambia',
        'ff_Latn_GN' => 'Guinea',
        'ff_Latn_GW' => 'Guinea-Bissau',
        'ff_Latn_LR' => 'Liberia',
        'ff_Latn_MR' => 'Mauritania',
        'ff_Latn_NE' => 'Niger',
        'ff_Latn_NG' => 'Nigeria',
        'ff_Latn_SL' => 'Sierra Leone',
        'ff_Latn_SN' => 'Senegal',
        'ff_MR' => 'Mauritania',
        'ff_SN' => 'Senegal',
        'fi' => '',
        'fi_FI' => 'Finland',
        'fo' => '',
        'fo_DK' => 'Denmark',
        'fo_FO' => 'Faroe Islands',
        'fr' => '',
        'fr_BE' => 'Belgium',
        'fr_BF' => 'Burkina Faso',
        'fr_BI' => 'Burundi',
        'fr_BJ' => 'Benin',
        'fr_BL' => 'St. Barthélemy',
        'fr_CA' => 'Canada',
        'fr_CD' => 'Congo - Kinshasa',
        'fr_CF' => 'Central African Republic',
        'fr_CG' => 'Congo - Brazzaville',
        'fr_CH' => 'Switzerland',
        'fr_CI' => 'Côte d’Ivoire',
        'fr_CM' => 'Cameroon',
        'fr_DJ' => 'Djibouti',
        'fr_DZ' => 'Algeria',
        'fr_FR' => 'France',
        'fr_GA' => 'Gabon',
        'fr_GF' => 'French Guiana',
        'fr_GN' => 'Guinea',
        'fr_GP' => 'Guadeloupe',
        'fr_GQ' => 'Equatorial Guinea',
        'fr_HT' => 'Haiti',
        'fr_KM' => 'Comoros',
        'fr_LU' => 'Luxembourg',
        'fr_MA' => 'Morocco',
        'fr_MC' => 'Monaco',
        'fr_MF' => 'St. Martin',
        'fr_MG' => 'Madagascar',
        'fr_ML' => 'Mali',
        'fr_MQ' => 'Martinique',
        'fr_MR' => 'Mauritania',
        'fr_MU' => 'Mauritius',
        'fr_NC' => 'New Caledonia',
        'fr_NE' => 'Niger',
        'fr_PF' => 'French Polynesia',
        'fr_PM' => 'St. Pierre & Miquelon',
        'fr_RE' => 'Réunion',
        'fr_RW' => 'Rwanda',
        'fr_SC' => 'Seychelles',
        'fr_SN' => 'Senegal',
        'fr_SY' => 'Syria',
        'fr_TD' => 'Chad',
        'fr_TG' => 'Togo',
        'fr_TN' => 'Tunisia',
        'fr_VU' => 'Vanuatu',
        'fr_WF' => 'Wallis & Futuna',
        'fr_YT' => 'Mayotte',
        'fy' => '',
        'fy_NL' => 'Netherlands',
        'ga' => '',
        'ga_GB' => 'United Kingdom',
        'ga_IE' => 'Ireland',
        'gd' => '',
        'gd_GB' => 'United Kingdom',
        'gl' => '',
        'gl_ES' => 'Spain',
        'gu' => '',
        'gu_IN' => 'India',
        'gv' => '',
        'gv_IM' => 'Isle of Man',
        'ha' => '',
        'ha_GH' => 'Ghana',
        'ha_NE' => 'Niger',
        'ha_NG' => 'Nigeria',
        'he' => '',
        'he_IL' => 'Israel',
        'hi' => '',
        'hi_IN' => 'India',
        'hr' => '',
        'hr_BA' => 'Bosnia & Herzegovina',
        'hr_HR' => 'Croatia',
        'hu' => '',
        'hu_HU' => 'Hungary',
        'hy' => '',
        'hy_AM' => 'Armenia',
        'ia' => '',
        'ia_001' => 'World',
        'id' => '',
        'id_ID' => 'Indonesia',
        'ig' => '',
        'ig_NG' => 'Nigeria',
        'ii' => '',
        'ii_CN' => 'China',
        'in' => '',
        'in_ID' => 'Indonesia',
        'is' => '',
        'is_IS' => 'Iceland',
        'it' => '',
        'it_CH' => 'Switzerland',
        'it_IT' => 'Italy',
        'it_SM' => 'San Marino',
        'it_VA' => 'Vatican City',
        'iw' => '',
        'iw_IL' => 'Israel',
        'ja' => '',
        'ja_JP' => 'Japan',
        'ja_JP_TRADITIONAL' => 'Japan',
        'jv' => '',
        'jv_ID' => 'Indonesia',
        'ka' => '',
        'ka_GE' => 'Georgia',
        'ki' => '',
        'ki_KE' => 'Kenya',
        'kk' => '',
        'kk_KZ' => 'Kazakhstan',
        'kl' => '',
        'kl_GL' => 'Greenland',
        'km' => '',
        'km_KH' => 'Cambodia',
        'kn' => '',
        'kn_IN' => 'India',
        'ko' => '',
        'ko_KP' => 'North Korea',
        'ko_KR' => 'South Korea',
        'ks' => '',
        'ks_Arab' => '',
        'ks_Arab_IN' => 'India',
        'ks_IN' => 'India',
        'ku' => '',
        'ku_TR' => 'Turkey',
        'kw' => '',
        'kw_GB' => 'United Kingdom',
        'ky' => '',
        'ky_KG' => 'Kyrgyzstan',
        'lb' => '',
        'lb_LU' => 'Luxembourg',
        'lg' => '',
        'lg_UG' => 'Uganda',
        'ln' => '',
        'ln_AO' => 'Angola',
        'ln_CD' => 'Congo - Kinshasa',
        'ln_CF' => 'Central African Republic',
        'ln_CG' => 'Congo - Brazzaville',
        'lo' => '',
        'lo_LA' => 'Laos',
        'lt' => '',
        'lt_LT' => 'Lithuania',
        'lu' => '',
        'lu_CD' => 'Congo - Kinshasa',
        'lv' => '',
        'lv_LV' => 'Latvia',
        'mg' => '',
        'mg_MG' => 'Madagascar',
        'mi' => '',
        'mi_NZ' => 'New Zealand',
        'mk' => '',
        'mk_MK' => 'Macedonia',
        'ml' => '',
        'ml_IN' => 'India',
        'mn' => '',
        'mn_MN' => 'Mongolia',
        'mo' => '',
        'mr' => '',
        'mr_IN' => 'India',
        'ms' => '',
        'ms_BN' => 'Brunei',
        'ms_ID' => 'Indonesia',
        'ms_MY' => 'Malaysia',
        'ms_SG' => 'Singapore',
        'mt' => '',
        'mt_MT' => 'Malta',
        'my' => '',
        'my_MM' => 'Myanmar (Burma)',
        'nb' => '',
        'nb_NO' => 'Norway',
        'nb_SJ' => 'Svalbard & Jan Mayen',
        'nd' => '',
        'nd_ZW' => 'Zimbabwe',
        'ne' => '',
        'ne_IN' => 'India',
        'ne_NP' => 'Nepal',
        'nl' => '',
        'nl_AW' => 'Aruba',
        'nl_BE' => 'Belgium',
        'nl_BQ' => 'Caribbean Netherlands',
        'nl_CW' => 'Curaçao',
        'nl_NL' => 'Netherlands',
        'nl_SR' => 'Suriname',
        'nl_SX' => 'Sint Maarten',
        'nn' => '',
        'nn_NO' => 'Norway',
        'no' => '',
        'no_NO' => 'Norway',
        'no_NO_NY' => 'Norway',
        'om' => '',
        'om_ET' => 'Ethiopia',
        'om_KE' => 'Kenya',
        'or' => '',
        'or_IN' => 'India',
        'os' => '',
        'os_GE' => 'Georgia',
        'os_RU' => 'Russia',
        'pa' => '',
        'pa_Arab' => '',
        'pa_Arab_PK' => 'Pakistan',
        'pa_Guru' => '',
        'pa_Guru_IN' => 'India',
        'pa_IN' => 'India',
        'pa_PK' => 'Pakistan',
        'pl' => '',
        'pl_PL' => 'Poland',
        'ps' => '',
        'ps_AF' => 'Afghanistan',
        'ps_PK' => 'Pakistan',
        'pt' => '',
        'pt_AO' => 'Angola',
        'pt_BR' => 'Brazil',
        'pt_CH' => 'Switzerland',
        'pt_CV' => 'Cape Verde',
        'pt_GQ' => 'Equatorial Guinea',
        'pt_GW' => 'Guinea-Bissau',
        'pt_LU' => 'Luxembourg',
        'pt_MO' => 'Macau SAR China',
        'pt_MZ' => 'Mozambique',
        'pt_PT' => 'Portugal',
        'pt_ST' => 'São Tomé & Príncipe',
        'pt_TL' => 'Timor-Leste',
        'qu' => '',
        'qu_BO' => 'Bolivia',
        'qu_EC' => 'Ecuador',
        'qu_PE' => 'Peru',
        'rm' => '',
        'rm_CH' => 'Switzerland',
        'rn' => '',
        'rn_BI' => 'Burundi',
        'ro' => '',
        'ro_MD' => 'Moldova',
        'ro_RO' => 'Romania',
        'ru' => '',
        'ru_BY' => 'Belarus',
        'ru_KG' => 'Kyrgyzstan',
        'ru_KZ' => 'Kazakhstan',
        'ru_MD' => 'Moldova',
        'ru_RU' => 'Russia',
        'ru_UA' => 'Ukraine',
        'rw' => '',
        'rw_RW' => 'Rwanda',
        'sa' => '',
        'sa_IN' => 'India',
        'sd' => '',
        'sd_Arab' => '',
        'sd_Arab_PK' => 'Pakistan',
        'sd_Deva' => '',
        'sd_Deva_IN' => 'India',
        'sd_PK' => 'Pakistan',
        'se' => '',
        'se_FI' => 'Finland',
        'se_NO' => 'Norway',
        'se_SE' => 'Sweden',
        'sg' => '',
        'sg_CF' => 'Central African Republic',
        'sh' => '',
        'sh_BA' => 'Bosnia & Herzegovina',
        'sh_CS' => 'Serbia',
        'sh_YU' => 'Serbia',
        'si' => '',
        'si_LK' => 'Sri Lanka',
        'sk' => '',
        'sk_SK' => 'Slovakia',
        'sl' => '',
        'sl_SI' => 'Slovenia',
        'sn' => '',
        'sn_ZW' => 'Zimbabwe',
        'so' => '',
        'so_DJ' => 'Djibouti',
        'so_ET' => 'Ethiopia',
        'so_KE' => 'Kenya',
        'so_SO' => 'Somalia',
        'sq' => '',
        'sq_AL' => 'Albania',
        'sq_MK' => 'Macedonia',
        'sq_XK' => 'Kosovo',
        'sr' => '',
        'sr_BA' => 'Bosnia & Herzegovina',
        'sr_CS' => 'Serbia',
        'sr_Cyrl' => '',
        'sr_Cyrl_BA' => 'Bosnia & Herzegovina',
        'sr_Cyrl_CS' => 'Serbia',
        'sr_Cyrl_ME' => 'Montenegro',
        'sr_Cyrl_RS' => 'Serbia',
        'sr_Cyrl_XK' => 'Kosovo',
        'sr_Cyrl_YU' => 'Serbia',
        'sr_Latn' => '',
        'sr_Latn_BA' => 'Bosnia & Herzegovina',
        'sr_Latn_CS' => 'Serbia',
        'sr_Latn_ME' => 'Montenegro',
        'sr_Latn_RS' => 'Serbia',
        'sr_Latn_XK' => 'Kosovo',
        'sr_Latn_YU' => 'Serbia',
        'sr_ME' => 'Montenegro',
        'sr_RS' => 'Serbia',
        'sr_XK' => 'Kosovo',
        'sr_YU' => 'Serbia',
        'su' => '',
        'su_ID' => 'Indonesia',
        'su_Latn' => '',
        'su_Latn_ID' => 'Indonesia',
        'sv' => '',
        'sv_AX' => 'Åland Islands',
        'sv_FI' => 'Finland',
        'sv_SE' => 'Sweden',
        'sw' => '',
        'sw_CD' => 'Congo - Kinshasa',
        'sw_KE' => 'Kenya',
        'sw_TZ' => 'Tanzania',
        'sw_UG' => 'Uganda',
        'ta' => '',
        'ta_IN' => 'India',
        'ta_LK' => 'Sri Lanka',
        'ta_MY' => 'Malaysia',
        'ta_SG' => 'Singapore',
        'te' => '',
        'te_IN' => 'India',
        'tg' => '',
        'tg_TJ' => 'Tajikistan',
        'th' => '',
        'th_TH' => 'Thailand',
        'th_TH_TRADITIONAL' => 'Thailand',
        'ti' => '',
        'ti_ER' => 'Eritrea',
        'ti_ET' => 'Ethiopia',
        'tk' => '',
        'tk_TM' => 'Turkmenistan',
        'tl' => '',
        'tl_PH' => 'Philippines',
        'to' => '',
        'to_TO' => 'Tonga',
        'tr' => '',
        'tr_CY' => 'Cyprus',
        'tr_TR' => 'Turkey',
        'tt' => '',
        'tt_RU' => 'Russia',
        'ug' => '',
        'ug_CN' => 'China',
        'uk' => '',
        'uk_UA' => 'Ukraine',
        'ur' => '',
        'ur_IN' => 'India',
        'ur_PK' => 'Pakistan',
        'uz' => '',
        'uz_AF' => 'Afghanistan',
        'uz_Arab' => '',
        'uz_Arab_AF' => 'Afghanistan',
        'uz_Cyrl' => '',
        'uz_Cyrl_UZ' => 'Uzbekistan',
        'uz_Latn' => '',
        'uz_Latn_UZ' => 'Uzbekistan',
        'uz_UZ' => 'Uzbekistan',
        'vi' => '',
        'vi_VN' => 'Vietnam',
        'wo' => '',
        'wo_SN' => 'Senegal',
        'xh' => '',
        'xh_ZA' => 'South Africa',
        'yi' => '',
        'yi_001' => 'World',
        'yo' => '',
        'yo_BJ' => 'Benin',
        'yo_NG' => 'Nigeria',
        'zh' => '',
        'zh_CN' => 'China',
        'zh_HK' => 'Hong Kong SAR China',
        'zh_Hans' => '',
        'zh_Hans_CN' => 'China',
        'zh_Hans_HK' => 'Hong Kong SAR China',
        'zh_Hans_MO' => 'Macau SAR China',
        'zh_Hans_SG' => 'Singapore',
        'zh_Hant' => '',
        'zh_Hant_HK' => 'Hong Kong SAR China',
        'zh_Hant_MO' => 'Macau SAR China',
        'zh_Hant_TW' => 'Taiwan',
        'zh_MO' => 'Macau SAR China',
        'zh_SG' => 'Singapore',
        'zh_TW' => 'Taiwan',
        'zu' => '',
        'zu_ZA' => 'South Africa',
    );
}
